Works with FF4 Rated 5 out of 5 stars

Works with Firefox 4 b8 when compatibility is forced. Invaluable addon.